var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { Label, Popover } from '@patternfly/react-core';
import InfoCircleIcon from '@patternfly/react-icons/dist/js/icons/info-circle-icon';
import React from 'react';
import { Trans } from 'react-i18next';
import { useFeatureAnnouncement } from '../../hooks/useFeatureAnnouncement';
export function NewFeatureLabel(props) {
    const { featureName } = props, popoverProps = __rest(props, ["featureName"]);
    const { featureConfig: { isFeatureAnnouncementVisible, featureText }, onFeatureDismiss, } = useFeatureAnnouncement(featureName);
    if (!isFeatureAnnouncementVisible)
        return React.createElement(React.Fragment, null);
    const conditionalProps = Object.assign({}, (featureText
        ? {
            bodyContent: React.createElement("div", { dangerouslySetInnerHTML: { __html: featureText } }),
        }
        : undefined));
    const onHidden = () => {
        onFeatureDismiss();
    };
    return (React.createElement(Popover, Object.assign({}, popoverProps, conditionalProps, { hasAutoWidth: true, onHidden: onHidden }),
        React.createElement(Label, { color: "green", className: "pf-v5-u-ml-sm", icon: React.createElement(InfoCircleIcon, null) },
            React.createElement(Trans, null, "New"))));
}
