var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { Label, Popover } from '@patternfly/react-core';
import InfoCircleIcon from '@patternfly/react-icons/dist/js/icons/info-circle-icon';
import { useOnScreen } from '@rh-support/components';
import React, { useEffect, useState } from 'react';
import { Trans } from 'react-i18next';
import { useFeatureAnnouncement } from '../../hooks/useFeatureAnnouncement';
export function NewFeaturePopoverAnnouncement(props) {
    const { featureName, sectionRef, popoverVisbilityDelay = 1500 } = props, popoverProps = __rest(props, ["featureName", "sectionRef", "popoverVisbilityDelay"]);
    const [isPopoverVisible, setIsPopoverVisible] = useState(false);
    const isSectionVisible = useOnScreen(sectionRef);
    const { featureConfig: { isFeatureAnnouncementVisible, featureText }, onFeatureDismiss, } = useFeatureAnnouncement(featureName);
    const conditionalProps = Object.assign({}, (featureText
        ? {
            bodyContent: React.createElement("div", { dangerouslySetInnerHTML: { __html: featureText } }),
        }
        : undefined));
    useEffect(() => {
        if (isSectionVisible && isFeatureAnnouncementVisible) {
            setTimeout(() => {
                setIsPopoverVisible(true);
            }, popoverVisbilityDelay);
        }
        if (!isSectionVisible && isPopoverVisible) {
            setIsPopoverVisible(false);
        }
        // eslint-disable-next-line react-hooks/exhaustive-deps
    }, [isSectionVisible, popoverVisbilityDelay, isFeatureAnnouncementVisible]);
    if (!isFeatureAnnouncementVisible)
        return React.createElement(React.Fragment, null);
    return (React.createElement(Popover, Object.assign({}, popoverProps, conditionalProps, { isVisible: isPopoverVisible, shouldOpen: () => setIsPopoverVisible(true), shouldClose: () => setIsPopoverVisible(false), onHidden: () => {
            if (isSectionVisible) {
                onFeatureDismiss();
            }
        }, headerContent: React.createElement(Label, { color: "green", icon: React.createElement(InfoCircleIcon, null) },
            React.createElement(Trans, null, "New")) })));
}
