import { Button, Modal, ModalVariant } from '@patternfly/react-core';
import React, { useContext, useState } from 'react';
import { GlobalMetadataStateContext } from '../../context/GlobalMetadataContext';
export function CSSUserModal({ onConfirmTraditionalSupportAgreement, display }) {
    var _a;
    const [showSupportTypeModal, setShowSupportTypeModal] = useState(true);
    const [showTraditionalSupportAgreement, setShowTraditionalSupportAgreement] = useState(false);
    const { globalMetadataState: { loggedInUsersAccount }, } = useContext(GlobalMetadataStateContext);
    const isConfirmedStateSideSupport = (_a = loggedInUsersAccount === null || loggedInUsersAccount === void 0 ? void 0 : loggedInUsersAccount.data) === null || _a === void 0 ? void 0 : _a.hasConfirmedStatesideSupport;
    const handleCSSclick = () => {
        window.open('https://css-redhat.zendesk.com', '_self');
    };
    const handleTraditionalSupportClick = () => {
        setShowTraditionalSupportAgreement(true);
    };
    const handleTraditionalSupportAgreement = () => {
        setShowTraditionalSupportAgreement(false);
        setShowSupportTypeModal(false);
        onConfirmTraditionalSupportAgreement && onConfirmTraditionalSupportAgreement();
    };
    if (!display || !isConfirmedStateSideSupport)
        return null;
    return (React.createElement(React.Fragment, null,
        React.createElement(Modal, { variant: ModalVariant.medium, title: 'Choose the type of support you want', isOpen: isConfirmedStateSideSupport && showSupportTypeModal, onClose: () => setShowSupportTypeModal(false), actions: [
                React.createElement(Button, { key: "confirmed-stateside-support-btn", "data-tracking-id": "confirmed-stateside-support-btn", "aria-label": "Confirmed stateside support", onClick: handleCSSclick }, "Confirmed Stateside Support"),
                React.createElement(Button, { variant: "secondary", key: "traditional-support-btn", "data-tracking-id": "traditional-support-btn", "aria-label": "Traditional support", onClick: handleTraditionalSupportClick }, "Traditional Support"),
            ] }, "You have a Confirmed Stateside Support account"),
        React.createElement(Modal, { variant: ModalVariant.medium, title: 'Traditional Support', isOpen: isConfirmedStateSideSupport && showTraditionalSupportAgreement, onClose: () => setShowTraditionalSupportAgreement(false), actions: [
                React.createElement(Button, { variant: "secondary", key: "traditional-support-back-button", "data-tracking-id": "traditional-support-back-button", "aria-label": "Traditional support back button", onClick: () => setShowTraditionalSupportAgreement(false) }, "Back"),
                React.createElement(Button, { key: "agree-traditional-support-button", "data-tracking-id": "agree-traditional-support-button", "aria-label": "Agree traditional support button", onClick: handleTraditionalSupportAgreement }, "I agree"),
            ] },
            React.createElement("p", null, "By continuing you agree not to transmit Controlled Unclassified Information(CUI) or export-controlled information to the Red Hat Customer Portal."),
            React.createElement("p", { className: "pf-v5-u-pt-md" }, "The Customer Portal is not certified to store data regulated by the US government, including data covered by ITAR or EAR (Export Administration Regulations)."))));
}
