import React, { useContext, useReducer } from 'react';
import { globalAlertMessageReducer, initialGlobalAlertMessageState, } from '../reducers/GlobalAlertMessageReducer';
const initialStateContext = {
    globalAlertMessageState: initialGlobalAlertMessageState,
};
const initalDispatchContext = null;
export const GlobalAlertMessageStateContext = React.createContext(initialStateContext);
export const GlobalAlertMessageDispatchContext = React.createContext(initalDispatchContext);
export const useGlobalAlertMessageStateContext = () => useContext(GlobalAlertMessageStateContext);
export const useGlobalAlertMessageDispatchContext = () => useContext(GlobalAlertMessageDispatchContext);
export function GlobalAlertMessageContextProvider({ children }) {
    const [globalAlertMessageState, dispatch] = useReducer(globalAlertMessageReducer, initialGlobalAlertMessageState);
    return (React.createElement(GlobalAlertMessageStateContext.Provider, { value: { globalAlertMessageState } },
        React.createElement(GlobalAlertMessageDispatchContext.Provider, { value: dispatch }, children)));
}
