import React, { useContext, useReducer } from 'react';
import { globalMetadataReducer, initialGlobalMetadataState, } from '../reducers/GlobalMetadataReducer';
const initialStateContext = {
    globalMetadataState: initialGlobalMetadataState,
};
const initalDispatchContext = null;
export const GlobalMetadataStateContext = React.createContext(initialStateContext);
export const GlobalMetadataDispatchContext = React.createContext(initalDispatchContext);
export const useGlobalStateContext = () => useContext(GlobalMetadataStateContext);
export const useGlobalDispatchContext = () => useContext(GlobalMetadataDispatchContext);
export function GlobalMetadataContextProvider({ children }) {
    const [globalMetadataState, dispatch] = useReducer(globalMetadataReducer, initialGlobalMetadataState);
    return (React.createElement(GlobalMetadataStateContext.Provider, { value: { globalMetadataState } },
        React.createElement(GlobalMetadataDispatchContext.Provider, { value: dispatch }, children)));
}
