import { Env } from '@cee-eng/hydrajs';
/**
 *
 * This hook is used for selected chat configuration based on environment
 */
export const useChatConfig = () => {
    const env = Env.getEnvName();
    switch (env) {
        case Env.EnvNames.QA:
            return {
                host: 'https://gss--qa.sandbox.my.salesforce.com',
                sandBox: 'https://gss--qa.sandbox.my.site.com/botchat',
                gslbBaseURL: 'https://service.force.com',
                key: '00D8I0000016hOv',
                appName: 'RedHatChatBot',
                extra: {
                    baseLiveAgentContentURL: 'https://c.la4-c1cs-ia4.salesforceliveagent.com/content',
                    deploymentId: '5726R000000sXtR',
                    buttonId: '5736R000000wk2n',
                    baseLiveAgentURL: 'https://d.la4-c1cs-ia4.salesforceliveagent.com/chat',
                    eswLiveAgentDevName: 'EmbeddedServiceLiveAgent_Parent04I6R000000wk2oUAA_180f4e169cb',
                    isOfflineSupportEnabled: false,
                },
            };
        case Env.EnvNames.STAGE:
            return {
                host: 'https://gss--stage2.sandbox.my.salesforce.com',
                sandBox: 'https://gss--stage2.sandbox.my.site.com/botchat',
                gslbBaseURL: 'https://service.force.com',
                key: '00DDU000000sXEf',
                appName: 'RedHatChatBot',
                extra: {
                    baseLiveAgentContentURL: 'https://c.la2-c1cs-ia7.salesforceliveagent.com/content',
                    deploymentId: '5726R000000sXtR',
                    buttonId: '5736R000000wk2n',
                    baseLiveAgentURL: 'https://d.la2-c1cs-ia7.salesforceliveagent.com/chat',
                    eswLiveAgentDevName: 'EmbeddedServiceLiveAgent_Parent04I6R000000wk2oUAA_180f4e169cb',
                    isOfflineSupportEnabled: false,
                },
            };
        default:
            return {
                host: 'https://gss.my.salesforce.com',
                sandBox: 'https://gss.my.site.com/botchat',
                gslbBaseURL: 'https://service.force.com',
                key: '00DA0000000HxWH',
                appName: 'RedHatChatBot',
                extra: {
                    baseLiveAgentContentURL: 'https://c.la4-c1-ia5.salesforceliveagent.com/content',
                    deploymentId: '5726R000000sXtR',
                    buttonId: '5736R000000wk2n',
                    baseLiveAgentURL: 'https://d.la4-c1-ia5.salesforceliveagent.com/chat',
                    eswLiveAgentDevName: 'EmbeddedServiceLiveAgent_Parent04I6R000000wk2oUAA_180f4e169cb',
                    isOfflineSupportEnabled: false,
                },
            };
    }
};
