interface IChatOptions {
    loadingChat: boolean;
    isChatStarted: boolean;
    hasBlockedByBrowser: boolean;
    hasChatDomainsBlocked: boolean;
    initEmbedChat: () => void;
    onStartChat: () => void;
    chatServiceNotAvailable: boolean;
    hasBlockedByCookie: boolean;
}
/**
 * This hook is used for setting chat up and listing custom event of chat.
 * for more details https://developer.salesforce.com/docs/atlas.en-us.snapins_web_dev.meta/snapins_web_dev/snapins_web_chat_events.htm
 * @param initialState
 * @returns
 */
export declare const useChatInit: (initialState?: boolean) => IChatOptions;
export {};
//# sourceMappingURL=useChatInit.d.ts.map