export declare enum FeatureAnnouncementKeys {
    SEND_NOTIFICATIONS = "sendNotifications",
    MARKDOWN_INLINE_IMAGES = "markdownInlineImages",
    CASE_TYPE_FILTER = "caseTypeFilter",
    SHARE_HOSTNAMES = "shareHostnamesWithRHT",
    CHAT_BOT = "chatBot"
}
export interface IFeatureConfig {
    name: string;
    isLive: boolean;
    startDate: string;
    expireDate: string;
    showCount: number;
    visibilty: 'all' | 'internal';
    featureInfoText: string;
}
export declare function useFeatureAnnouncement(featureName: FeatureAnnouncementKeys): {
    featureConfig: {
        isFeatureAnnouncementVisible: boolean;
        featureText: string;
    };
    onFeatureDismiss: () => void;
};
//# sourceMappingURL=useFeatureAnnouncement.d.ts.map