var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { publicApi } from '@cee-eng/hydrajs';
import { useContext, useEffect, useState } from 'react';
import { GlobalMetadataStateContext } from '../context/GlobalMetadataContext';
/**
 *
 * The use of this hook is to generate form details based on user current screen
 */
export const usePreChatFormDetails = () => {
    const { globalMetadataState: { loggedInUserRights }, } = useContext(GlobalMetadataStateContext);
    const [sessionId, setSessionId] = useState('');
    const loggedInUserRightsData = loggedInUserRights === null || loggedInUserRights === void 0 ? void 0 : loggedInUserRights.data;
    const ssoName = loggedInUserRightsData.getSSOUsername();
    const name = loggedInUserRightsData.getUserFullName();
    const accountNumber = loggedInUserRightsData.getAccountNumber();
    useEffect(() => {
        try {
            const fetchChatSessionId = () => __awaiter(void 0, void 0, void 0, function* () {
                const { message } = yield publicApi.chat.getChatSession();
                setSessionId(message);
            });
            fetchChatSessionId();
        }
        catch (error) {
            console.log('Error', error);
        }
    }, []);
    const getChatFormDetails = () => [
        {
            label: 'SSO Name',
            value: ssoName,
            transcriptFields: ['SSO_Username__c'],
            displayToAgent: true,
        },
        {
            label: 'SessionId',
            value: sessionId,
            transcriptFields: ['SessionId__c'],
            displayToAgent: true,
        },
        {
            label: 'name',
            value: name,
            displayToAgent: true,
        },
        {
            label: 'account',
            value: accountNumber,
            displayToAgent: true,
        },
    ];
    return getChatFormDetails;
};
