import { ability, AccountFields, resourceActions, resources } from '@rh-support/user-permissions';
import { useContext } from 'react';
import { GlobalAlertMessageDispatchContext } from '../context/GlobalAlertMessageContext';
import { toggleSubscriptionAbuseModalOpen } from '../reducers/GlobalAlertMessageReducer';
export function useSubscriptionAbused() {
    const globalAlertMessageDispatch = useContext(GlobalAlertMessageDispatchContext);
    const canOpenOrChangeCase = ability.can(resourceActions.PATCH, resources.CASE_CREATE, AccountFields.SUBSCRIPTION_NOT_ABUSED);
    const isAccountFreezed = !canOpenOrChangeCase;
    const checkAndShowSubscriptionAbused = () => {
        if (isAccountFreezed) {
            toggleSubscriptionAbuseModalOpen(globalAlertMessageDispatch);
            return true;
        }
        else {
            return false;
        }
    };
    return { checkAndShowSubscriptionAbused, isAccountFreezed };
}
