import isEmpty from 'lodash/isEmpty';
export const getProcessedCaseTypes = (caseTypes) => {
    // move 'Other' to the end
    caseTypes = caseTypes.filter((caseType) => {
        if (caseType !== 'Other') {
            return caseType;
        }
    });
    caseTypes.push('Other');
    return caseTypes;
};
export const getBookmarkGroups = (bookmarks) => (bookmarks || []).reduce((acc, bookmark) => {
    // purge empty groups and dedupe group names
    const group = bookmark.bookmarkGroupName;
    if (!isEmpty(group) && !acc.includes(group))
        acc.push(group);
    return acc;
}, []);
