/**
 * The below function sorts the account search results based on the provided query string (account name or number).
 */
export function sortAccountsByQuery(accounts, queryStr, queryKey) {
    function getSimilarityScore(value) {
        const lowerCaseValue = value.toLowerCase();
        const lowerCaseQueryStr = queryStr.toLowerCase();
        if (lowerCaseValue.startsWith(lowerCaseQueryStr)) {
            return 1000 + lowerCaseQueryStr.length;
        }
        else if (lowerCaseValue.includes(lowerCaseQueryStr)) {
            return 500 + lowerCaseQueryStr.length;
        }
        else {
            return 0;
        }
    }
    return accounts.sort((a, b) => {
        return getSimilarityScore(b[queryKey]) - getSimilarityScore(a[queryKey]);
    });
}
